# openstack.baremetal_introspection.v1.Introspection

## The Introspection Class

The `Introspection` class inherits from `Resource`.

class openstack.baremetal_introspection.v1.introspection.Introspection(_synchronized=False, connection=None, **attrs)

  The base resource

  Parameters:

    - _synchronized (bool) – This is not intended to be used directly. See `new()` and `existing()`.

    - connection (openstack.connection.Connection) – Reference to the Connection being used. Defaults to None to allow Resource objects to be used without an active Connection, such as in unit tests. Use of `self._connection` in Resource code should protect itself with a check for None.

  resources_key = 'introspection'

    Plural form of key for resource.

  base_path = '/introspection'

    The base part of the URI for this resource.

  allow_create = True

    Allow create operation for this resource.

  allow_fetch = True

    Allow get operation for this resource.

  allow_commit = False

    Allow update operation for this resource.

  allow_delete = True

    Allow delete operation for this resource.

  allow_list = True

    Allow list operation for this resource.

  create_method = 'POST'

    Method for creating a resource (POST, PUT)

  create_requires_id = True

    Whether create requires an ID (determined from method if None).

  create_returns_body = False

    Does create returns a body (if False requires ID), defaults to has_body

  finished_at

    Timestamp at which the introspection was finished.

  error

    The last error message (if any).

  id

    The UUID of the introspection (matches the node UUID).

  is_finished

    Whether introspection is finished.

  links

    A list of relative links, including the self and bookmark links.

  started_at

    Timestamp at which the introspection was started.

  state

    The current introspection state.

  abort(session)

    Abort introspection.

    Parameters:

      session (`Adapter`) – The session to use for making this request.

  get_data(session, processed=True)

    Get introspection data.

    Note that the introspection data format is not stable and can vary from environment to environment.

    Parameters:

      - session (`Adapter`) – The session to use for making this request.

      - processed (bool) – Whether to fetch the final processed data (the default) or the raw unprocessed data as received from the ramdisk.

    Returns:

      introspection data from the most recent successful run.

    Return type:

      dict

  wait(session, timeout=None, ignore_error=False)

    Wait for the node to reach the expected state.

    Parameters:

      - session (`Adapter`) – The session to use for making this request.

      - timeout – How much (in seconds) to wait for the introspection. The value of `None` (the default) means no client-side timeout.

      - ignore_error – If `True`, this call will raise an exception if the introspection reaches the `error` state. Otherwise the error state is considered successful and the call returns.

    Returns:

      This `Introspection` instance.

    Raises:

      `ResourceFailure` if introspection fails and `ignore_error` is `False`.

    Raises:

      `ResourceTimeout` on timeout.

this page last updated: 2026-01-16 23:06:19

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.